/** @packageDocumentation
 * @module iModelBankClient
 */
import { AuthorizedClientRequestContext, FileHandler } from "@bentley/itwin-client";
import { IModelClient } from "../IModelClient";
/** Class that allows access to different iModelHub class handlers.
 * Handlers should be accessed through an instance of this class, rather than constructed directly.
 * @internal
 */
export declare class IModelBankClient extends IModelClient {
    /** Creates an instance of IModelBankClient.
     * @param url Url to iModel Bank instance.
     */
    constructor(url: string, handler: FileHandler | undefined);
    getUrl(rqctx: AuthorizedClientRequestContext): Promise<string>;
    get baseUrl(): string;
}
//# sourceMappingURL=IModelBankClient.d.ts.map