"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IModelBankClient = void 0;
const IModelClient_1 = require("../IModelClient");
const IModelBankHandler_1 = require("./IModelBankHandler");
/** Class that allows access to different iModelHub class handlers.
 * Handlers should be accessed through an instance of this class, rather than constructed directly.
 * @internal
 */
class IModelBankClient extends IModelClient_1.IModelClient {
    /** Creates an instance of IModelBankClient.
     * @param url Url to iModel Bank instance.
     */
    constructor(url, handler) {
        super(new IModelBankHandler_1.IModelBankHandler(url, handler));
    }
    async getUrl(rqctx) {
        return this._handler.getUrl(rqctx);
    }
    get baseUrl() {
        return this._handler.baseUrl;
    }
}
exports.IModelBankClient = IModelBankClient;
//# sourceMappingURL=IModelBankClient.js.map