import { BeEvent, ClientRequestContext } from "@bentley/bentleyjs-core";
import { FrontendAuthorizationClient } from "@bentley/frontend-authorization-client";
import { AccessToken, UserInfo } from "@bentley/itwin-client";
/** Implements the user permission abstraction by creating a dummy AccessToken. Note that the corresponding IModelBank server must
 * be able to tolerate this dummy token.
 * @internal
 */
export declare class IModelBankDummyAuthorizationClient implements FrontendAuthorizationClient {
    private _userInfo;
    private _userCredentials;
    private _token?;
    constructor(_userInfo: UserInfo | undefined, _userCredentials: any);
    signIn(): Promise<void>;
    signOut(): Promise<void>;
    readonly onUserStateChanged: BeEvent<(token: AccessToken | undefined) => void>;
    get isAuthorized(): boolean;
    get hasExpired(): boolean;
    get hasSignedIn(): boolean;
    getAccessToken(_requestContext?: ClientRequestContext): Promise<AccessToken>;
}
//# sourceMappingURL=IModelBankDummyAuthorizationClient.d.ts.map