import { Asset, Project } from "@bentley/context-registry-client";
import { AuthorizedClientRequestContext } from "@bentley/itwin-client";
import { ContextManagerClient } from "../IModelCloudEnvironment";
/** @internal */
export interface IModelFileSystemContextProps {
    name: string;
    id: string;
    description: string;
}
/** @internal */
export declare class IModelBankFileSystemContextClient implements ContextManagerClient {
    baseUri: string;
    constructor(baseUri: string);
    private queryContextProps;
    queryAssetByName(requestContext: AuthorizedClientRequestContext, assetName: string): Promise<Asset>;
    queryProjectByName(requestContext: AuthorizedClientRequestContext, projectName: string): Promise<Project>;
    createContext(requestContext: AuthorizedClientRequestContext, name: string): Promise<void>;
    deleteContext(requestContext: AuthorizedClientRequestContext, contextId: string): Promise<void>;
}
//# sourceMappingURL=IModelBankFileSystemContextClient.d.ts.map