/** @packageDocumentation
 * @module iModelBankClient
 */
import { ClientRequestContext } from "@bentley/bentleyjs-core";
import { FileHandler } from "@bentley/itwin-client";
import { IModelBaseHandler } from "../imodelhub/BaseHandler";
/**
 * This class acts as the WsgClient for other iModelBank Handlers.
 * @internal
 */
export declare class IModelBankHandler extends IModelBaseHandler {
    /**
     * Creates an instance of IModelBankWsgClient.
     * @param handler The upload/download handler to use -- backends only.
     * @param keepAliveDuration TBD
     */
    constructor(url: string, handler: FileHandler | undefined, keepAliveDuration?: number);
    protected getUrlSearchKey(): string;
    baseUrl?: string;
    getUrl(_requestContext: ClientRequestContext, excludeApiVersion?: boolean): Promise<string>;
}
//# sourceMappingURL=IModelBankHandler.d.ts.map