/** @packageDocumentation
 * @module iModelHubClient
 */
import { FileHandler } from "@bentley/itwin-client";
import { IModelClient } from "../IModelClient";
import { IModelBaseHandler } from "./BaseHandler";
import { PermissionHandler } from "./Permissions";
/**
 * Class that allows access to different iModelHub class handlers. Handlers should be accessed through an instance of this class, rather than constructed directly.
 * @public
 */
export declare class IModelHubClient extends IModelClient {
    /**
     * Create an instance of IModelHubClient.
     * @param fileHandler File handler to handle file upload/download and file system operations.
     * @param iModelBaseHandler WSG Client for the iModelHub operations.
     * @param applicationVersion Version of the current application.
     */
    constructor(fileHandler?: FileHandler, iModelBaseHandler?: IModelBaseHandler, applicationVersion?: string);
    /**
     * Get the handler for permissions.
     * @internal
     */
    get permissions(): PermissionHandler;
}
//# sourceMappingURL=Client.d.ts.map