"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module iModelHubClient
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomRequestOptions = void 0;
/**
 * Class that provides custom request options for all future requests
 * @internal
 */
class CustomRequestOptions {
    setCustomOptions(customOptions) {
        this._customOptions = customOptions;
    }
    insertCustomOptions(customOptions) {
        if (!this._customOptions) {
            return customOptions;
        }
        if (!customOptions) {
            customOptions = {};
        }
        customOptions = Object.assign(Object.assign({}, customOptions), this._customOptions);
        return customOptions;
    }
    get isSet() {
        return null != this._customOptions;
    }
}
exports.CustomRequestOptions = CustomRequestOptions;
//# sourceMappingURL=CustomRequestOptions.js.map